title: Standard Power Protocol Schema
copyright: "Copyright 2023 - Codepoint Technologies, Inc. All Rights Reserved."
uuid: 1c37ec30-116f-496a-bcf2-96226320bf71
version:
  major: 1
  minor: 0
  maintenance: 0
  revision: 0
  dateModified: "2023-04-25T12:00:00.000Z"
authors: M.B. Mathews
namespaces:
  - nid: Power
  	description: Power related messages.
    elements:
      - nid: Charger
        etype: Int32Msg
        description:
          Reports the change in charging status. Use the NID to query the charge
          status
        values:
          - nid: Charging
            description: Device is connected to charger
          - nid: Discharging
            description: Device is disconnected from charger
          - nid: Critical
            description: Device battery is critically low.
          - nid: Charged
            description: Device has completed charging.
      - nid: Battery
        etype: Int32Msg
        description:
          Reports the current battery percentage. Use the NID to query the
          Battery level.

      